* {
    margin: 0;
    padding: 0;
    font-family: "Comfortaa";
}

.hide {
    display: none !important;
}

body {
    background-color: #ffffff;
    overflow-x: hidden;
}

header {
    height: 60px;
    background-color: #000;
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 16px;
    box-sizing: border-box;
    transition: 0.5s;
    user-select: none;
    justify-content: space-between;
}

header nav {
    display: flex;
    align-items: center;
}

header nav:first-child > div {
    align-items: center;
    display: none;
}

header nav:first-child > div.language-switcher {
    display: flex !important;
}

header nav:first-child > div.language-switcher {
    display: flex;
}

header input[type="button"],
main input[type="button"] {
    border: none;
    outline: none;
    color: #000;
    font-size: 16px;
    font-weight: bold;
    padding: 6px 10px;
    border-radius: 6px;
    cursor: pointer;
    transition: 0.3s;
}

header input[type="button"]:hover {
    transform: scale(1.1);
}

header input[type="button"]:active {
    transform: scale(0.9);
}

header span {
    font-style: italic;
    color: #d2dae2;
    margin: 0 16px;
}

#chooseFileButton {
    background-color: #05c46b;
}

#openMenuButton {
    background-color: #ffa801;
}


#menu {
    box-sizing: border-box;
    padding: 32px;
    background-color: #1e272e;
    user-select: none;
    height: calc(100vh - 104px);
    display: none;
    transition: 0.3s;
}

#menu h2 {
    color: #808e9b;
    padding: 0;
}

#menu > div {
    display: flex;
    flex-wrap: wrap;
    box-sizing: border-box;
    overflow-y: auto;
    max-height: 80vh;
    margin-top: 12px;
}

#menu > div::-webkit-scrollbar {
    width: 8px;
}

#menu > div::-webkit-scrollbar-thumb {
    background-color: #485460;
    border-radius: 4px;
}

#menu > div > div {
    width: 20vw;
    height: 20vw;
    background-color: #485460;
    margin: calc(2.5vw - 12px);
    cursor: pointer;
    transition: 0.3s;
    border-radius: 12px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 16px 0;
    box-sizing: border-box;
}

#menu > div > div:hover {
    transform: translate(-5px, -5px);
    background-color: #808e9b;
}

#menu nav {
    height: 80%;
    display: flex;
    padding: 0 16px;
    align-items: center;
    justify-content: center;
}

#menu h3 {
    text-align: center;
    color: #fff;
    font-size: 24px;
}

#menu span {
    text-align: right;
    padding-right: 16px;
    color: #000;
    font-weight: bold;
}

#menu > div > div:last-child {
    background-color: #05c46b;
    color: #fff;
    font-size: 72px;
    font-weight: bold;
    align-items: center;
    justify-content: center;
}

#menu > div > div:active {
    transform: translate(-5px, -5px) scale(0.9);
    background-color: #2f3640;
}

.searchContainer {
    width: 900px;
    height: 600px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    opacity: 0;
    transition: 0.5s;
}

#inputContainer {
    border-radius: 20px;
    background-color: #485460;
    display: none;
    align-items: center;
    margin-left: 40px;
}

#searchCleaner {
    width: 16px;
    height: 16px;
    position: relative;
    left: -12px;
    padding: 4px;
    cursor: pointer;
    transition: 0.3s;
    transform: scale(0);
}

#resultsContainer, #createRelationSearchResults {
    position: absolute;
    background-color: #121212;
    width: 240px;
    max-height: 500px;
    overflow-y: auto;
    display: none;
}

#resultsContainer::-webkit-scrollbar, #createRelationSearchResults::-webkit-scrollbar {
    width: 8px;
}

#resultsContainer::-webkit-scrollbar-thumb, #createRelationSearchResults::-webkit-scrollbar-thumb {
    background-color: #485460;
    border-radius: 4px;
}

#searchInput, #createRelationModal input[type="text"] {
    outline: none;
    border: none;
    width: 400px;
    height: 36px;
    text-align: center;
    color: #d2dae2;
    font-size: 18px;
    background-color: transparent;
}

.searchItem {
    height: 50px;
    width: 100%;
    color: #808e9b;
    cursor: pointer;
    user-select: none;
    display: flex;
    align-items: center;
    justify-content: space-between;
    transition: 0.3s;
}

.searchItem:not(:last-child) {
    border-bottom: 1px solid #485460;
}

.searchItem:hover {
    background-color: #485460;
    color: #000;
}

.searchItem img {
    width: 16px;
    height: 16px;
    margin: 0 16px;
}

.searchItem > div {
    display: flex;
    flex-direction: column;
}

.searchItem > div > span {
    transform: translateX(12px);
    transition: 0.15s;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    width: 180px;
}

.searchItem > div > span:last-child {
    font-size: 12px;
    margin-top: 4px;
    color: #95afc0;
    font-style: italic;
    font-weight: bold;
}

.searchItem > div > span > span {
    color: #d2dae2;
    font-weight: bold;
}

.activeSearchItem {
    color: #05c46b;
}

#contextMenu {
    position: absolute;
    display: none;
    background-color: #121212;
    border-radius: 16px;
    padding: 16px;
    width: 240px;
}

#contextMenu .header {
    display: none;
    align-items: center;
    font-weight: bold;
    user-select: none;
}

#contextMenu .header input {
    width: 20px;
    height: 20px;
    opacity: 0;
    margin-right: -20px;
    z-index: 5;
    cursor: pointer;
}

#contextMenu .header input + img {
    width: 20px;
    height: 20px;
    margin-right: 6px;
}

#contextMenu .header input:checked + img {
    transform: rotate(180deg);
}

#contextMenu .header span {
    transform: translateY(1px);
    color: #fff;
}

#dependentList,
#relatedList {
    display: none;
    padding-left: 16px;
    margin-top: 12px;
}

#dependentList div,
#relatedList div {
    margin-top: 8px;
    color: #d2dae2;
    font-size: 14px;
    font-weight: bold;
    user-select: none;
}

#closeCreation {
    align-self: flex-end;
    width: 24px;
    height: 24px;
    padding: 6px;
    border-radius: 25px;
    position: relative;
    top: -20px;
    right: -20px;
    cursor: pointer;
}

#deleteCollectionModal {
    position: absolute;
    display: none;
    width: 200px;
    height: 40px;
    background-color: #121212;
    color: #d2dae2;
    user-select: none;
    border-radius: 12px;
    text-align: center;
    line-height: 40px;
    cursor: pointer;
    font-weight: bold;
}

#deleteCollectionModal:hover {
    background-color: #d2dae2;
    color: #121212;
}

#downloadLink {
    display: none;
}

#sideMenu {
    position: absolute;
    left: 10px;
    top: 70px;
    width: 320px;
    background-color: #000;
    display: none;
    flex-direction: column;
    align-items: flex-start;
    box-sizing: border-box;
    border-radius: 16px;
    padding: 24px;
}

#sideMenu div {
    user-select: none;
    color: #d2dae2;
    outline: none;
    border: none;
    background: none;
    width: auto;
    font-size: 18px;
    cursor: pointer;
    transition: 0.15s;
}

#sideMenu div:not(:first-child) {
    margin-top: 24px;
}

#sideMenu div:hover {
    opacity: 0.5;
}

#sideMenu div:active {
    transform: scale(0.8);
}

#saveOnLocalButton,
#saveOnDiskButton,
#saveOnDiskAsButton,
#saveOnServerButton,
#openCollectionButton,
#userContainerModal,
#logInForm,
#regInForm {
    display: none;
}

#userContainer {
    align-items: center;
    cursor: pointer;
    display: flex;
}

#userContainer span {
    font-style: normal;
    margin: 0 12px;
}

#userContainer img {
    width: 40px;
    height: 40px;
}

#signGuestButton {
    margin-right: 10px;
    background-color: #c357cf;
}

.signUpWrapper {
    display: flex;
    justify-content: center;
    margin-top: 24px;
}
.signUpButtonColor {
    margin-right: 10px;
    background-color: #575fcf;
}

#signInButton {
    background-color: #05c46b;
}

.validCreationInput {
    border-color: #3c40c6;
}

#userContainerModal {
    position: absolute;
    right: 10px;
    top: 70px;
    width: auto;
    background-color: #000;
    flex-direction: column;
    align-items: flex-end;
    box-sizing: border-box;
    border-radius: 16px;
    padding: 24px;
}

#userContainerModal A {
    user-select: none;
    color: #d2dae2;
    outline: none;
    border: none;
    background: none;
    width: auto;
    font-size: 18px;
    transition: 0.15s;
    text-decoration: none;
}

#userContainerModal P {
    color: #d2dae2;
    font-size: 18px;
}

#userContainerModal A:not(:first-child), P:not(:first-child) {
    margin-top: 24px;
}

#userContainerModal A:hover {
    opacity: 0.5;
}

#userContainerModal A:active {
    transform: scale(0.8);
}

#userContainerModal A.disabled {
    opacity: 0.5;
}

#userContainerModal A.disabled:active {
    transform: none;
}

#userContainerModal .subscription_expired {
    color: #eb3b5a;
}
#userContainerModal P.subscription_expired {
    margin-top: 10px;
}



#logInForm {
    flex-direction: column;
    width: 300px;
    padding: 42px 24px 16px 24px;
    background-color: #000;
    border-radius: 16px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

#logInForm input[type="text"], #logInForm input[type="password"] {
    margin-top: 12px;
    border-radius: 20px;
    background-color: #485460;
    border: none;
    outline: none;
    text-align: center;
    color: #d2dae2;
    font-size: 18px;
    padding: 8px 0;
}

#logInForm input[type="text"]::placeholder, #logInForm input[type="password"]::placeholder {
    color: #d2dae2;
    opacity: 0.5;
}

#logInForm input[type="button"] {
    outline: none;
    border: none;
    padding: 8px 18px;
    background-color: #20bf6b;
    font-size: 18px;
    border-radius: 8px;
    font-weight: bold;
    cursor: pointer;
    margin-top: 24px;
}

#logInFormCloseButton {
    position: absolute;
    top: 6px;
    right: 6px;
    padding: 8px;
    cursor: pointer;
}

.toolsPanel {
    display: flex;
    padding: 6px 0;
    user-select: none;
    border-bottom: 2px solid #808e9b;
    box-sizing: border-box;
}

.toolsPanel div {
    padding-left: 12px;
}

.toolsPanel div:not(:last-child) {
    border-right: 2px dashed #808e9b;
}

.toolsPanel img {
    width: 26px;
    height: 26px;
    margin-right: 12px;
    -webkit-user-drag: none;
}

.toolsPanelHiddenButton {
    display: none;
}

.toolsPanelActiveButton {
    cursor: pointer;
    transition: 0.1s;
}

.toolsPanelActiveButton:hover {
    transform: scale(1.1);
}

.toolsPanelActiveButton:active {
    transform: scale(0.9);
}

.toolsPanelInactiveButton {
    opacity: 0.5;
}

#loadBackupModal {
    position: absolute;
    top: 80px;
    right: -350px;
    width: 350px;
    background-color: #000;
    transition: 0.3s;
    border-radius: 16px;
    padding: 16px;
    user-select: none;
    box-sizing: border-box;
    text-align: center;
}

#loadBackupModal span {
    color: #808e9b;
    font-weight: bold;
    line-height: 22px;
}

#loadBackupModal input {
    outline: none;
    border: none;
    background: none;
    cursor: pointer;
    font-weight: bold;
}

#loadBackupModal div {
    display: flex;
    justify-content: space-evenly;
    margin-top: 14px;
}

#loadBackupYesButton {
    color: #05c46b;
}

#loadBackupNoButton {
    color: #eb3b5a;
}


.popup {
	display: none;
    flex-direction: column;
    width: 300px;
    padding: 42px 24px 16px 24px;
    background-color: #000;
    border-radius: 16px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.popup input[type="text"], .popup input[type="password"] {
    margin-top: 12px;
    border-radius: 20px;
    background-color: #485460;
    border: none;
    outline: none;
    text-align: center;
    color: #d2dae2;
    font-size: 18px;
    padding: 8px 0;
}

.popup input[type="text"]::placeholder, .popup input[type="password"]::placeholder {
    color: #d2dae2;
    opacity: 0.5;
}

.popup input[type="button"] {
    outline: none;
    border: none;
    padding: 8px 18px;
    background-color: #20bf6b;
    font-size: 18px;
    border-radius: 8px;
    font-weight: bold;
    cursor: pointer;
    margin-top: 24px;
}

.popup .closeButton {
    position: absolute;
    top: 6px;
    right: 6px;
    padding: 8px;
    cursor: pointer;
}


#listFilesList {
	max-height: 50vh;
	overflow-y: auto;
	color: #ffffff;
	padding: 15px;
	border: 1px solid #ffffff;
	border-radius: 20px;
}

#listFilesList p {
	padding: 5px 0;
}

#profileForm {
    width: auto;
    max-width: 495px;
}
.profile_list {
    color: #fff;
    margin-bottom: 24px;
}
.profile_list :disabled {
    opacity: 0.7;
}
.profile_list .text_message {
    display: none;
    margin-bottom: 10px;
    text-align: center;
}
.profile_list .text_message.error {
    color: #eb3b5a;
}
.profile_list .text_message.success {
    color: #20bf6b;
}
.profile_list .form_control {
    display: flex;
    align-items: center;
}
.profile_list INPUT {
    margin-top: 0 !important;
    margin-right: 15px;
}
.profile_list BUTTON {
    outline: none;
    border: none;
    padding: 8px 0;
    text-align: center;
    background-color: #c357cf;
    font-size: 18px;
    border-radius: 8px;
    font-weight: bold;
    cursor: pointer;
    margin: 0;
    min-width: 220px;
}

.profile_list BUTTON.danger {
    background-color: #eb3b5a;
    width: 100%;
}

#fileCaption {
    display: flex;
    flex-direction: column;
}
#fileTypeLabel {
    font-size: 0.8em;
    text-align: center;
    margin-top: 3px;
}

#recentList {
    width: auto;
    min-width: 450px;
}
.file_row {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 15px;
    color: #fff;
}
.file_row.last {
    border-top: 1px solid #fff;
    padding-top: 10px;
}
.file_row .file_name {
    margin-right: 10px;
    text-decoration: none;
    color: #fff;
}
.file_row .file_info {
    display: flex;
}
.file_row .file_info .file_last_mod {
    margin-right: 10px;
}
.file_row .file_info .file_place {
    min-width: 65px;
    text-align: right;
}
.file_row .file_center {
    text-align: center;
    font-style: italic;
    width: 100%;
    padding: 10px 0;
}

